Skip to main content
GET
Get Tools

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

search
string | null

If specified, the endpoint returns only tools whose names start with this string.

page_size
integer | null

How many documents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
created_by_user_id
string | null

Filter tools by creator user ID. When set, only tools created by this user are returned. Use '@me' to refer to the authenticated user.

types
enum<string>[] | null

If present, the endpoint will return only tools of the given types.

Available options:
webhook,
client,
api_integration_webhook,
code
sort_direction
enum<string>
default:desc

The direction to sort the results

Available options:
asc,
desc
sort_by
enum<string> | null

The field to sort the results by

Available options:
name,
created_at
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

tools
ToolResponseModel · object[]
required
has_more
boolean
required
next_cursor
string | null